tigase.server.sreceiver.sysmon

## Interface ResourceMonitorIfc

- All Known Implementing Classes:
    AbstractMonitor, CPUMonitor, DiskMonitor, LogMonitor, MemMonitor, N270Monitor

      public interface ResourceMonitorIfc

  Created: Dec 10, 2008 12:12:27 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `INTERVAL_10SECS`
    `static long` | `INTERVAL_1DAY`
    `static long` | `INTERVAL_1HOUR`
    `static long` | `INTERVAL_1MIN`
    `static long` | `MINUTE`
    `static long` | `SECOND`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `check10Secs(Queue<Packet> results)`
    `void` | `check1Day(Queue<Packet> results)`
    `void` | `check1Hour(Queue<Packet> results)`
    `void` | `check1Min(Queue<Packet> results)`
    `String` | `commandsHelp()`
    `void` | `destroy()`
    `String` | `getState()`
    `void` | `getStatistics(StatisticsList list)`
    `void` | `init(JID jid, float treshold, SystemMonitorTask smTask)`
    `boolean` | `isMonitorCommand(String command)`
    `String` | `runCommand(String[] command)`

- - ### Field Detail

    - #### SECOND

          static final long SECOND

      See Also:
        Constant Field Values

    - #### MINUTE

          static final long MINUTE

      See Also:
        Constant Field Values

    - #### INTERVAL_10SECS

          static final long INTERVAL_10SECS

      See Also:
        Constant Field Values

    - #### INTERVAL_1MIN

          static final long INTERVAL_1MIN

      See Also:
        Constant Field Values

    - #### INTERVAL_1HOUR

          static final long INTERVAL_1HOUR

      See Also:
        Constant Field Values

    - #### INTERVAL_1DAY

          static final long INTERVAL_1DAY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### init

          void init(JID jid,
                    float treshold,
                    SystemMonitorTask smTask)

    - #### destroy

          void destroy()

    - #### check10Secs

          void check10Secs(Queue<Packet> results)

    - #### check1Day

          void check1Day(Queue<Packet> results)

    - #### check1Hour

          void check1Hour(Queue<Packet> results)

    - #### check1Min

          void check1Min(Queue<Packet> results)

    - #### getState

          String getState()

    - #### commandsHelp

          String commandsHelp()

    - #### runCommand

          String runCommand(String[] command)

    - #### isMonitorCommand

          boolean isMonitorCommand(String command)

    - #### getStatistics

          void getStatistics(StatisticsList list)

Copyright © 2022 "Tigase, Inc.". All rights reserved.